%define name	perl-Lingua-Stem-Snowball-Se
%define version 1.01
%define release 2mdk

Summary:	Lingua-Stem-Snowball-Se module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	Snowball-Swedish-%{version}.tar.bz2
URL:		http://www.cpan.org
Requires:	locales-sv
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
Lingua-Stem-Snowball-Se module for perl

%prep
%setup -q -n Snowball-Swedish-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} </dev/null
%{__make}
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%{__make} PREFIX=%{buildroot}/%{_prefix} install

mv %{buildroot}%{perl_vendorlib}/Lingua/Stem/Snowball/stemmer.pl \
    %{buildroot}%{perl_vendorlib}/Lingua/Stem/Snowball/stemmer-Se.pl

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Lingua/Stem/Snowball/Se.pm
%{perl_vendorlib}/Lingua/Stem/Snowball/stemmer-Se.pl
%{_mandir}/man3*/*

%changelog
* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.01-2mdk
- fix deps

* Thu Jun 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.01-1mdk
- require locales-sv
- fix package naming
- fix conflicting name on the stemmer.pl file

* Thu Jun 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.01-1mdk
- initial cooker contrib.
